package comparitors;

/**
 * @author hornick
 * This class represents a student
 * 
 */
public class Student {

    /*package*/ String name;
    /*package*/ int id;
    public static enum eLevel { 
        FR, SO, JR, SR;// enums of this type can only assume these specific values
    }
    /*package*/ eLevel grade; // grade is an instance of eLevel
    /*package*/ double tuition = 25000.00;

    /**
     * constructor - creates a student with specified name, id, grade, and tuition
     */
    public Student( String name, int id, Student.eLevel grade, double tuition ) {
        this.name = name;
        this.id = id;
        this.grade = grade;
        this.tuition = tuition;
    }
    
    @Override
    // override of Object class's default toString method, which just prints internal JVM stuff
    public String toString() {
        return name + " , id=" + id + " , grade=" + grade + ", tuition=" + tuition;
    }
}
